- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Collocated_Object_Proxy_Broker Class Reference

Collocated_Object_Proxy_Broker. More...

`#include <Collocated_Object_Proxy_Broker.h>`

Inheritance diagram for TAO::Collocated_Object_Proxy_Broker:

[legend]
Collaboration diagram for TAO::Collocated_Object_Proxy_Broker:

[legend]
List of all members.

## Public Member Functions
virtual CORBA::Boolean | _is_a (CORBA::Object_ptr target, const char *logical_type_id)
virtual CORBA::Boolean | _non_existent (CORBA::Object_ptr target)
virtual CORBA::InterfaceDef * | _get_interface (CORBA::Object_ptr target)
virtual CORBA::Object_ptr | _get_component (CORBA::Object_ptr target)
virtual char * | _repository_id (CORBA::Object_ptr target)

## Detailed Description

Collocated_Object_Proxy_Broker.

A broker for standard CORBA::Object calls that needs to be made on remote objects.

## Member Function Documentation

CORBA::Object_ptr TAO::Collocated_Object_Proxy_Broker::_get_component | ( | CORBA::Object_ptr | target | ) | `[virtual]`

Implements TAO::Object_Proxy_Broker.

CORBA::InterfaceDef_ptr TAO::Collocated_Object_Proxy_Broker::_get_interface | ( | CORBA::Object_ptr | target | ) | `[virtual]`

Implements TAO::Object_Proxy_Broker.

CORBA::Boolean TAO::Collocated_Object_Proxy_Broker::_is_a | ( | CORBA::Object_ptr | target,
|  | const char * | logical_type_id |
| ) |  |  | `[virtual]`

Please see the documentation in Object_Proxy_Broker.h for details.

Implements TAO::Object_Proxy_Broker.

CORBA::Boolean TAO::Collocated_Object_Proxy_Broker::_non_existent | ( | CORBA::Object_ptr | target | ) | `[virtual]`

Implements TAO::Object_Proxy_Broker.

char * TAO::Collocated_Object_Proxy_Broker::_repository_id | ( | CORBA::Object_ptr | target | ) | `[virtual]`

Implements TAO::Object_Proxy_Broker.

The documentation for this class was generated from the following files:

- Collocated_Object_Proxy_Broker.h
- Collocated_Object_Proxy_Broker.cpp